# SlicedCreateGlobalVector

Creates a vector of the correct size to be gathered into by the slice.

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode PETSCDM_DLLEXPORT SlicedCreateGlobalVector(Sliced slice,Vec *gvec)

Collective on Sliced

### Input Parameter

slice - the slice object

### Output Parameters

gvec - the global vector

Notes: Once this has been created you cannot add additional arrays or vectors to be packed.

### See Also

SlicedDestroy(), SlicedCreate(), SlicedGetGlobalIndices()

Level:advanced
Location: src/dm/da/utils/sliced.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages